[lfs-fr] r1296 - in trunk/lfs: . appendices bootscripts bootscripts/contrib/lsb-v3 bootscripts/contrib/lsb-v3/init.d bootscripts/lfs/init.d chapter01 chapter06 chapter08

jmengual at linuxfromscratch.org jmengual at linuxfromscratch.org
Mar 19 Avr 06:51:43 PDT 2011


Author: jmengual
Date: 2011-04-19 15:51:43 +0200 (Tue, 19 Apr 2011)
New Revision: 1296

Added:
   trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountvirtfs
   trunk/lfs/bootscripts/lfs/init.d/mountvirtfs
Removed:
   trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountkernfs
   trunk/lfs/bootscripts/lfs/init.d/mountkernfs
Modified:
   trunk/lfs/appendices/scripts.xml
   trunk/lfs/bootscripts/ChangeLog
   trunk/lfs/bootscripts/Makefile
   trunk/lfs/bootscripts/contrib/lsb-v3/Makefile
   trunk/lfs/bootscripts/contrib/lsb-v3/init.d/modules
   trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountfs
   trunk/lfs/bootscripts/contrib/lsb-v3/init.d/sysctl
   trunk/lfs/bootscripts/lfs/init.d/mountfs
   trunk/lfs/chapter01/changelog.xml
   trunk/lfs/chapter06/chapter06.xml
   trunk/lfs/chapter06/creatingdirs.xml
   trunk/lfs/chapter08/fstab.xml
   trunk/lfs/packages.ent
Log:
Mise a jour lfs


Modified: trunk/lfs/appendices/scripts.xml
===================================================================
--- trunk/lfs/appendices/scripts.xml	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/appendices/scripts.xml	2011-04-19 13:51:43 UTC (rev 1296)
@@ -11,7 +11,7 @@
   <!ENTITY localnet           SYSTEM "localnet.script"> 
   <!ENTITY modules            SYSTEM "modules.script"> 
   <!ENTITY mountfs            SYSTEM "mountfs.script"> 
-  <!ENTITY mountkernfs        SYSTEM "mountkernfs.script"> 
+  <!ENTITY mountvirtfs        SYSTEM "mountvirtfs.script"> 
   <!ENTITY network            SYSTEM "network.script"> 
   <!ENTITY reboot             SYSTEM "reboot.script"> 
   <!ENTITY rc                 SYSTEM "rc.script"> 
@@ -67,9 +67,9 @@
     <screen>&functions;</screen> 
   </sect1>
 
-  <sect1 id="mountkernfs" role="wrap">
-    <title>/etc/rc.d/init.d/mountkernfs</title>
-    <screen>&mountkernfs;</screen> 
+  <sect1 id="mountvirtfs" role="wrap">
+    <title>/etc/rc.d/init.d/mountvirtfs</title>
+    <screen>&mountvirtfs;</screen> 
   </sect1>
 
   <sect1 id="consolelog" role="wrap">

Modified: trunk/lfs/bootscripts/ChangeLog
===================================================================
--- trunk/lfs/bootscripts/ChangeLog	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/bootscripts/ChangeLog	2011-04-19 13:51:43 UTC (rev 1296)
@@ -1,3 +1,7 @@
+2010-05-29	Bruce Dubbs <bdubbs at linuxfromscratch.org>
+   * lfs/init.d/mountvirtfs: Change name from mountkernfs to mountvirtfs.
+     Add mounting of /run filesystem.
+
 2010-05-29	Matt Burgess <matthew at linuxfromscratch.org>
    * lfs/init.d/udev: Only copy /lib/udev/devices/null, as Udev >= 155 copies
      devices from /lib/udev/devices to /dev itself.  Udevd still needs /dev/null

Modified: trunk/lfs/bootscripts/Makefile
===================================================================
--- trunk/lfs/bootscripts/Makefile	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/bootscripts/Makefile	2011-04-19 13:51:43 UTC (rev 1296)
@@ -31,7 +31,7 @@
 	install -m ${MODE} lfs/init.d/localnet      ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/modules       ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/mountfs       ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/mountkernfs   ${EXTDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/mountvirtfs   ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/network       ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/rc            ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/reboot        ${EXTDIR}/rc.d/init.d/
@@ -67,7 +67,7 @@
 	ln -sf ../init.d/swap        ${EXTDIR}/rc.d/rc6.d/S80swap
 	ln -sf ../init.d/localnet    ${EXTDIR}/rc.d/rc6.d/S90localnet
 	ln -sf ../init.d/reboot      ${EXTDIR}/rc.d/rc6.d/S99reboot
-	ln -sf ../init.d/mountkernfs ${EXTDIR}/rc.d/rcsysinit.d/S00mountkernfs
+	ln -sf ../init.d/mountvirtfs ${EXTDIR}/rc.d/rcsysinit.d/S00mountvirtfs
 	ln -sf ../init.d/consolelog  ${EXTDIR}/rc.d/rcsysinit.d/S02consolelog
 	ln -sf ../init.d/modules     ${EXTDIR}/rc.d/rcsysinit.d/S05modules
 	ln -sf ../init.d/udev        ${EXTDIR}/rc.d/rcsysinit.d/S10udev
@@ -104,7 +104,7 @@
 	install -m ${MODE} lfs/init.d/halt          ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/localnet      ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/mountfs       ${EXTDIR}/rc.d/init.d/
-	install -m ${MODE} lfs/init.d/mountkernfs   ${EXTDIR}/rc.d/init.d/
+	install -m ${MODE} lfs/init.d/mountvirtfs   ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/rc            ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/reboot        ${EXTDIR}/rc.d/init.d/
 	install -m ${MODE} lfs/init.d/sendsignals   ${EXTDIR}/rc.d/init.d/
@@ -119,7 +119,7 @@
 	ln -sf ../init.d/mountfs     ${EXTDIR}/rc.d/rc6.d/S70mountfs
 	ln -sf ../init.d/swap        ${EXTDIR}/rc.d/rc6.d/S80swap
 	ln -sf ../init.d/reboot      ${EXTDIR}/rc.d/rc6.d/S99reboot
-	ln -sf ../init.d/mountkernfs ${EXTDIR}/rc.d/rcsysinit.d/S00mountkernfs
+	ln -sf ../init.d/mountvirtfs ${EXTDIR}/rc.d/rcsysinit.d/S00mountvirtfs
 	ln -sf ../init.d/udev        ${EXTDIR}/rc.d/rcsysinit.d/S10udev
 	ln -sf ../init.d/swap        ${EXTDIR}/rc.d/rcsysinit.d/S20swap
 	ln -sf ../init.d/checkfs     ${EXTDIR}/rc.d/rcsysinit.d/S30checkfs

Modified: trunk/lfs/bootscripts/contrib/lsb-v3/Makefile
===================================================================
--- trunk/lfs/bootscripts/contrib/lsb-v3/Makefile	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/bootscripts/contrib/lsb-v3/Makefile	2011-04-19 13:51:43 UTC (rev 1296)
@@ -35,7 +35,7 @@
 	install -m ${MODE} init.d/localnet              ${EXTDIR}/init.d/
 	install -m ${MODE} init.d/modules               ${EXTDIR}/init.d/
 	install -m ${MODE} init.d/mountfs               ${EXTDIR}/init.d/
-	install -m ${MODE} init.d/mountkernfs           ${EXTDIR}/init.d/
+	install -m ${MODE} init.d/mountvirtfs           ${EXTDIR}/init.d/
 	install -m ${MODE} init.d/network               ${EXTDIR}/init.d/
 	install -m ${MODE} init.d/rc                    ${EXTDIR}/init.d/
 	install -m ${MODE} init.d/reboot                ${EXTDIR}/init.d/
@@ -67,7 +67,7 @@
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/localnet
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/modules
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/mountfs
-	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/mountkernfs
+	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/mountvirtfs
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/network
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/reboot
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/sendsignals
@@ -85,7 +85,7 @@
 	install -m ${MODE} init.d/halt              ${EXTDIR}/init.d/
 	install -m ${MODE} init.d/localnet          ${EXTDIR}/init.d/
 	install -m ${MODE} init.d/mountfs           ${EXTDIR}/init.d/
-	install -m ${MODE} init.d/mountkernfs       ${EXTDIR}/init.d/
+	install -m ${MODE} init.d/mountvirtfs       ${EXTDIR}/init.d/
 	install -m ${MODE} init.d/rc                ${EXTDIR}/init.d/
 	install -m ${MODE} init.d/reboot            ${EXTDIR}/init.d/
 	install -m ${MODE} init.d/sendsignals       ${EXTDIR}/init.d/
@@ -103,7 +103,7 @@
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/halt
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/localnet
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/mountfs
-	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/mountkernfs
+	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/mountvirtfs
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/reboot
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/sendsignals
 	/usr/lib/lsb/install_initd ${EXTDIR}/init.d/setclock

Modified: trunk/lfs/bootscripts/contrib/lsb-v3/init.d/modules
===================================================================
--- trunk/lfs/bootscripts/contrib/lsb-v3/init.d/modules	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/bootscripts/contrib/lsb-v3/init.d/modules	2011-04-19 13:51:43 UTC (rev 1296)
@@ -3,7 +3,7 @@
 
 ### BEGIN INIT INFO
 # Provides:            modules
-# Required-Start:      mountkernfs sysctl
+# Required-Start:      mountvirts sysctl
 # Should-Start:
 # Required-Stop:
 # Should-Stop:

Modified: trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountfs
===================================================================
--- trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountfs	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountfs	2011-04-19 13:51:43 UTC (rev 1296)
@@ -33,6 +33,7 @@
         mount -f / || failed=1
         mount -f /proc || failed=1
         mount -f /sys || failed=1
+        mount -f /run || failed=1
         (exit ${failed})
         evaluate_retval standard
 
@@ -40,6 +41,7 @@
         # their option list.  _netdev denotes a network filesystem.
         message="Mounting remaining file systems..."
         mount -a -O no_netdev >/dev/null
+        ln -s /run/shm /dev/shm
         evaluate_retval standard
         ;;
 

Deleted: trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountkernfs
===================================================================
--- trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountkernfs	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountkernfs	2011-04-19 13:51:43 UTC (rev 1296)
@@ -1,43 +0,0 @@
-#!/bin/sh
-# Begin /etc/init.d/mountkernfs
-
-### BEGIN INIT INFO
-# Provides:            mountkernfs
-# Required-Start:
-# Should-Start:
-# Required-Stop:
-# Should-Stop:
-# Default-Start:       S
-# Default-Stop:
-# Short-Description:   Mounts /sys and /proc virtual (kernel) filesystems.
-# Description:         Mounts /sys and /proc virtual (kernel) filesystems.
-# X-LFS-Provided-By:   LFS
-### END INIT INFO
-
-. /lib/lsb/init-functions
-
-case "${1}" in
-    start)
-        message="Mounting kernel-based file systems:"
-
-        if ! mountpoint /proc > /dev/null; then
-            message="${message}${INFO} /proc${NORMAL}"
-            mount -n /proc || failed=1
-        fi
-
-        if ! mountpoint /sys > /dev/null; then
-            message="${message}${INFO} /sys${NORMAL}"
-            mount -n /sys || failed=1
-        fi
-
-        (exit ${failed})
-        evaluate_retval standard
-        ;;
-
-    *)
-        echo "Usage: ${0} {start}"
-        exit 1
-        ;;
-esac
-
-# End /etc/init.d/mountkernfs

Added: trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountvirtfs
===================================================================
--- trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountvirtfs	                        (rev 0)
+++ trunk/lfs/bootscripts/contrib/lsb-v3/init.d/mountvirtfs	2011-04-19 13:51:43 UTC (rev 1296)
@@ -0,0 +1,48 @@
+#!/bin/sh
+# Begin /etc/init.d/mountvirtfs
+
+### BEGIN INIT INFO
+# Provides:            mountvirtfs
+# Required-Start:
+# Should-Start:
+# Required-Stop:
+# Should-Stop:
+# Default-Start:       S
+# Default-Stop:
+# Short-Description:   Mounts /sys, /proc, and /run virtual (virtel) filesystems.
+# Description:         Mounts /sys, /proc, and run  virtual (virtel) filesystems.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/lsb/init-functions
+
+case "${1}" in
+    start)
+        message="Mounting virtel-based file systems:"
+
+        if ! mountpoint /proc > /dev/null; then
+            message="${message}${INFO} /proc${NORMAL}"
+            mount -n /proc || failed=1
+        fi
+
+        if ! mountpoint /sys > /dev/null; then
+            message="${message}${INFO} /sys${NORMAL}"
+            mount -n /sys || failed=1
+        fi
+
+        if ! mountpoint /run > /dev/null; then
+            message="${message}${INFO} /run${NORMAL}"
+            mount -n /run || failed=1
+        fi
+
+        (exit ${failed})
+        evaluate_retval standard
+        ;;
+
+    *)
+        echo "Usage: ${0} {start}"
+        exit 1
+        ;;
+esac
+
+# End /etc/init.d/mountvirtfs

Modified: trunk/lfs/bootscripts/contrib/lsb-v3/init.d/sysctl
===================================================================
--- trunk/lfs/bootscripts/contrib/lsb-v3/init.d/sysctl	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/bootscripts/contrib/lsb-v3/init.d/sysctl	2011-04-19 13:51:43 UTC (rev 1296)
@@ -3,7 +3,7 @@
 
 ### BEGIN INIT INFO
 # Provides:            sysctl
-# Required-Start:      mountkernfs
+# Required-Start:      mountvirtfs
 # Should-Start:
 # Required-Stop:
 # Should-Stop:

Modified: trunk/lfs/bootscripts/lfs/init.d/mountfs
===================================================================
--- trunk/lfs/bootscripts/lfs/init.d/mountfs	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/bootscripts/lfs/init.d/mountfs	2011-04-19 13:51:43 UTC (rev 1296)
@@ -29,6 +29,7 @@
 		mount -f / || failed=1
 		mount -f /proc || failed=1
 		mount -f /sys || failed=1
+		mount -f /run || failed=1
 		(exit ${failed})
 		evaluate_retval
 
@@ -37,6 +38,11 @@
 		boot_mesg "Mounting remaining file systems..."
 		mount -a -O no_netdev >/dev/null
 		evaluate_retval
+
+		#Create a symlink for shared memory after /dev is mounted
+		boot_mesg "Redirect /dev/shm to /run/shm..."
+		ln -s /run/shm /dev/shm
+		evaluate_retval
 		;;
 
 	stop)

Deleted: trunk/lfs/bootscripts/lfs/init.d/mountkernfs
===================================================================
--- trunk/lfs/bootscripts/lfs/init.d/mountkernfs	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/bootscripts/lfs/init.d/mountkernfs	2011-04-19 13:51:43 UTC (rev 1296)
@@ -1,44 +0,0 @@
-#!/bin/sh
-########################################################################
-# Begin $rc_base/init.d/mountkernfs
-#
-# Description : Mount proc and sysfs
-#
-# Authors     : Gerard Beekmans - gerard at linuxfromscratch.org
-#
-# Version     : 00.00
-#
-# Notes       :
-#
-########################################################################
-
-. /etc/sysconfig/rc
-. ${rc_functions}
-
-case "${1}" in
-	start)
-		boot_mesg -n "Mounting kernel-based file systems:" ${INFO}
-
-		if ! mountpoint /proc >/dev/null; then
-			boot_mesg -n " /proc" ${NORMAL}
-			mount -n /proc || failed=1
-		fi
-
-		if ! mountpoint /sys >/dev/null; then
-			boot_mesg -n " /sys" ${NORMAL}
-			mount -n /sys || failed=1
-		fi
-
-		boot_mesg "" ${NORMAL}
-
-		(exit ${failed})
-		evaluate_retval
-		;;
-
-	*)
-		echo "Usage: ${0} {start}"
-		exit 1
-		;;
-esac
-
-# End $rc_base/init.d/mountkernfs

Added: trunk/lfs/bootscripts/lfs/init.d/mountvirtfs
===================================================================
--- trunk/lfs/bootscripts/lfs/init.d/mountvirtfs	                        (rev 0)
+++ trunk/lfs/bootscripts/lfs/init.d/mountvirtfs	2011-04-19 13:51:43 UTC (rev 1296)
@@ -0,0 +1,51 @@
+#!/bin/sh
+########################################################################
+# Begin $rc_base/init.d/mountvirtfs
+#
+# Description : Mount proc, sysfs, and run
+#
+# Authors     : Gerard Beekmans - gerard at linuxfromscratch.org
+#
+# Version     : 00.00
+#
+# Notes       :
+#
+########################################################################
+
+. /etc/sysconfig/rc
+. ${rc_functions}
+
+case "${1}" in
+	start)
+		boot_mesg -n "Mounting virtual file systems:" ${INFO}
+
+		if ! mountpoint /proc >/dev/null; then
+			boot_mesg -n " /proc" ${NORMAL}
+			mount -n /proc || failed=1
+		fi
+
+		if ! mountpoint /sys >/dev/null; then
+			boot_mesg -n " /sys" ${NORMAL}
+			mount -n /sys || failed=1
+		fi
+
+		if ! mountpoint /run >/dev/null; then
+			boot_mesg -n " /run" ${NORMAL}
+			mount -n /run || failed=1
+			mkdir /run/var
+			mkdir /run/shm
+		fi
+
+		boot_mesg "" ${NORMAL}
+
+		(exit ${failed})
+		evaluate_retval
+		;;
+
+	*)
+		echo "Usage: ${0} {start}"
+		exit 1
+		;;
+esac
+
+# End $rc_base/init.d/mountvertfs

Modified: trunk/lfs/chapter01/changelog.xml
===================================================================
--- trunk/lfs/chapter01/changelog.xml	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/chapter01/changelog.xml	2011-04-19 13:51:43 UTC (rev 1296)
@@ -41,6 +41,17 @@
       <para>18-04-2011</para>
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Ajout d'un nouveau point de montage /run au premier 
+          niveau de répertoires. Montage d'un tmpfs sur /run dans les scripts
+          de démarrage.</para>
+        </listitem>
+
+        <listitem>
+          <para>[bdubbs] - Au Chapitre 6, déplacement de File avant 
+          binutils pour empêcher des avertissements de configure.</para>
+        </listitem>
+
+        <listitem>
           <para>[matthew] - Passage à File-5.06. Corrige
           <ulink url="&lfs-ticket-root;2860">#2860</ulink>.</para>
         </listitem>

Modified: trunk/lfs/chapter06/chapter06.xml
===================================================================
--- trunk/lfs/chapter06/chapter06.xml	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/chapter06/chapter06.xml	2011-04-19 13:51:43 UTC (rev 1296)
@@ -22,6 +22,7 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="glibc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="readjusting.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="zlib.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="binutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gmp.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mpfr.xml"/>
@@ -49,7 +50,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="bzip2.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="diffutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gawk.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="file.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="findutils.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="flex.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gettext.xml"/>

Modified: trunk/lfs/chapter06/creatingdirs.xml
===================================================================
--- trunk/lfs/chapter06/creatingdirs.xml	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/chapter06/creatingdirs.xml	2011-04-19 13:51:43 UTC (rev 1296)
@@ -14,7 +14,7 @@
   fichiers LFS. Créez une hiérarchie de répertoires standards en lançant les
   commandes suivantes :</para>
 
-<screen><userinput>mkdir -pv /{bin,boot,etc/opt,home,lib,mnt,opt}
+<screen><userinput>mkdir -pv /{bin,boot,etc/opt,home,lib,mnt,opt,run}
 mkdir -pv /{media/{floppy,cdrom},sbin,srv,var}
 install -dv -m 0750 /root
 install -dv -m 1777 /tmp /var/tmp
@@ -27,8 +27,9 @@
 done
 case $(uname -m) in
  x86_64) ln -sv lib /lib64 && ln -sv lib /usr/lib64 ;;
-esac
-mkdir -v /var/{lock,log,mail,run,spool}
+mkdir -v /var/{log,mail,spool}
+ln -sv /run /var/run
+ln -sv /run/lock /var/lock
 mkdir -pv /var/{opt,cache,lib/{misc,locate},local}</userinput></screen>
 
   <para>Par défaut, les répertoires sont créés avec les droits 755, ce

Modified: trunk/lfs/chapter08/fstab.xml
===================================================================
--- trunk/lfs/chapter08/fstab.xml	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/chapter08/fstab.xml	2011-04-19 13:51:43 UTC (rev 1296)
@@ -31,7 +31,7 @@
 proc           /proc        proc   defaults        0     0
 sysfs          /sys         sysfs  defaults        0     0
 devpts         /dev/pts     devpts gid=4,mode=620  0     0
-tmpfs          /dev/shm     tmpfs  defaults        0     0
+tmpfs          /run         tmpfs  defaults        0     0
 # End /etc/fstab</literal>
 EOF</userinput></screen>
 

Modified: trunk/lfs/packages.ent
===================================================================
--- trunk/lfs/packages.ent	2011-04-18 22:13:59 UTC (rev 1295)
+++ trunk/lfs/packages.ent	2011-04-19 13:51:43 UTC (rev 1296)
@@ -288,7 +288,7 @@
 <!ENTITY less-ch6-du "2.9 Mio">
 <!ENTITY less-ch6-sbu "moins de 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20100627">                 <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20110418">                 <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE Kio">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
 <!ENTITY lfs-bootscripts-md5 "BOOTSCRIPTS-MD5SUM">           <!-- Updated in Makefile -->




More information about the lfs-traducfr mailing list